//  $Id: DOSVER.H 1.30 2003/10/09 22:24:44 thomd Exp $
//
//  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//  Copyright (c) 1989-2003 Datalight, Inc.
//  All Rights Reserved
//
//  Datalight, Inc. is a Washington corporation located at:
//
//  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
//  Bothell, WA  98021                    Fax: +1.425.951.8094
//  USA                                   Http://www.datalight.com
//
//  This software, including without limitation all source code and
//  documentation, is the confidential, trade secret property of
//  Datalight, Inc., and is protected under the copyright laws of
//  the United States and other jurisdictions.  Portions of the
//  software may also be subject to one or more the following US
//  patents: US#5860082, US#6260156.
//
//  In addition to civil penalties for infringement of copyright
//  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//  penalties for violation of (a) the restrictions on circumvention
//  of copyright protection systems found in 17 U.S.C. 1201 and
//  (b) the protections for the integrity of copyright management
//  information found in 17 U.S.C. 1202.
//
//  U.S. Government Restricted Rights.  Use, duplication,
//  reproduction, or transfer of this commercial product and
//  accompanying documentation is restricted in accordance with
//  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
//  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
//  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//  THIS SOFTWARE IN ERROR.
//
/*********************************************************

   DOSVER.H    created 02/05/90  by Drew Gislason

   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary

	This file is included in the ROM-DOS kernel, COMMAND
	and all ROM-DOS utilities.  It specifies version and
	copyright info.

**********************************************************/

#define IS_ALPHA			FALSE
#define IS_BETA         FALSE

#if IS_ALPHA
#define	ALPHA_BETA_LABEL1 " -ALPHA-"
#define	ALPHA_BETA_LABEL2 "\nThis ALPHA version is NOT for redistribution."
#ifndef BUILDNUM
#define BUILDNUM TRUE
#endif  // #ifndef BUILDNUM
#else // #if IS_ALPHA
#if IS_BETA
#define	ALPHA_BETA_LABEL1 " -BETA-"
#define	ALPHA_BETA_LABEL2 "\nThis BETA version is NOT for redistribution."
#ifndef BUILDNUM
#define BUILDNUM TRUE
#endif  // #ifndef BUILDNUM
#else  // #if IS_BETA
#define	ALPHA_BETA_LABEL1	""
#define	ALPHA_BETA_LABEL2	""
#endif  // #if IS_BETA
#endif  // #if IS_ALPHA

#ifdef RD_SUV
#define SUV_LABEL "SU"
#endif

#ifdef RD_REP
#define SUV_LABEL "REP"
#endif

#ifndef SUV_LABEL
#define SUV_LABEL ""
#endif

#define SHORTVERSION    "v7.10"
#define SHORTVERSION622 "v6.22"

#if USING_FAT32
#define COMPATIBILITY	0x070A
#else
#define COMPATIBILITY	0x0616
#endif

#include "bldver.h"

#ifdef BUILDNUM
#define _BUILD_NUMBER " (BUILT: " BUILDDATE ")"
#else
#define _BUILD_NUMBER ""
#endif

#ifdef XTVER
#define REVISION			"4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1"" _BUILD_NUMBER SUV_LABEL XTVER
#define FULLVERSION	   "v7.10 (Revision 4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1""SUV_LABEL")" _BUILD_NUMBER XTVER
#define BUILDVERSION	   "(Revision 4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1""SUV_LABEL")" _BUILD_NUMBER XTVER
#else
#define REVISION			"4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1"" _BUILD_NUMBER SUV_LABEL
#define FULLVERSION	   "v7.10 (Revision 4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1""SUV_LABEL")" _BUILD_NUMBER
#define BUILDVERSION	   "(Revision 4.11."BUILD_NUMBER""ALPHA_BETA_LABEL1""SUV_LABEL")" _BUILD_NUMBER
#endif

#define VERSIONVAL	   0x411
#define COPYRIGHT       "Copyright (c) 1989-2003 Datalight, Inc." ALPHA_BETA_LABEL2
