REM
REM   $Id: DO_MSC8.BAT 1.2 2002/10/16 15:58:32 peterb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@echo off
if "%MEM_MODEL%"=="" set MEM_MODEL=S

:BASIC
cls
echo.
echo    You can build a basic 'C' example program.
echo    To avoid linking Microsoft's floating point emulator, this program
echo    will require that an 80x87 be present to run.
echo.
choice  /c:yn Build this example?
if errorlevel 2 goto FLOATPT
set PROGRAM=BASIC
cl /Aw /A%MEM_MODEL% /c /Gs /FPi87 %PROGRAM%.c
link /M/NOE ..\ms-start\msvc\%MEM_MODEL%\dos\crt0+%PROGRAM%,%PROGRAM%,%PROGRAM%,..\libsrc\rxe_ms_%MEM_MODEL%+%MEM_MODEL%libc7,NUL
call check EMULATOR_TEXT %PROGRAM%
call convert EMULATOR_TEXT %PROGRAM%
pause

:FLOATPT
cls
echo.
echo    You can build a floating point example program.
echo    This program requires the US Software GOFAST floating point
echo    library. With EMUIR7.OBJ built for the %MEM_MODEL% memory model.
echo.
choice  /c:yn Build this example?
if errorlevel 2 goto CPP
set GOFAST_DIR=\GOFAST
set PROGRAM=FLOATPT
cl  /c /A%MEM_MODEL% /Zi /Od /Gs /Aw /FPc87 %PROGRAM%.c
echo ..\ms-start\msvc\%MEM_MODEL%\dos\crt0+ > fp.lrf
echo %GOFAST_DIR%\emuir7+                  >> fp.lrf
echo %PROGRAM%                             >> fp.lrf
echo %PROGRAM%                             >> fp.lrf
echo %PROGRAM%                             >> fp.lrf
echo ..\libsrc\rxe_ms_%MEM_MODEL%+         >> fp.lrf
echo %GOFAST_DIR%\usemund                  >> fp.lrf
echo.                                      >> fp.lrf
link /M /LI /CO /NOE @fp.lrf
rem link /M /LI /CI /NOE ..\ms-start\msvc\%MEM_MODEL%\dos\crt0+%GOFAST_DIR%\emuir7+%PROGRAM%,%PROGRAM%,%PROGRAM%,..\libsrc\rxe_ms_%MEM_MODEL%+%GOFAST_DIR%\usemund+%MEM_MODEL%libc7,NUL
call check emuseg %PROGRAM%
call convert emuseg %PROGRAM%
pause

:CPP
cls
echo.
echo    You can build a basic 'C++' example program.
echo    To avoid linking Microsoft's floating point emulator, this program
echo    will require that an 80x87 be present to run.
echo.
choice  /c:yn Build this example?
if errorlevel 2 goto :END
set PROGRAM=CPP
set MEM_MODEL=C
cl /Aw /A%MEM_MODEL% /c /Gs /Zi /FPc87 %PROGRAM%.cpp
link /M/LI/CO/NOE ..\ms-start\msvc\%MEM_MODEL%\dos\crt0+%PROGRAM%,%PROGRAM%,%PROGRAM%,..\libsrc\rxe_ms_%MEM_MODEL%+%MEM_MODEL%libc7,NUL
call check EMULATOR_TEXT %PROGRAM%
call convert EMULATOR_TEXT %PROGRAM%
pause

goto end

:END
SET MEM_MODEL=
SET PROGRAM=
